petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESResetFromOptions

Sets various SNES and KSP parameters from user options ONLY if the SNES was previously set from options

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESResetFromOptions(SNES snes)

Collective on SNES

### Input Parameter

snes -the SNES context

### See Also

SNESSetFromOptions(), SNESSetOptionsPrefix()

### Level

beginner

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages